Subject: Freeing struct lock_file?

From: David Turner <[email-masked]>
Date: Fri, 03 Apr 2015 17:45:15 -0400

Why is it impossible to free struct lock_files?  I understand that they
become part of a linked list, and that there's an atexit handler that
goes over that list.  But couldn't we just remove them from the linked
list and then free them?  Even if we couldn't free all lock_files, maybe
we could free some?  Anyway, just curious why that decision was made.